> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all available traffic policy profile services

> Get all available PCEF services that can be used in traffic policy profiles.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-configuration.yml get /traffic/policy/profiles/services
openapi: 3.1.0
info:
  title: SIM Cards Configuration API
  version: 2.0.0
  description: >-
    Network configuration for SIM cards including public IP management, private
    wireless gateways, blocklists, traffic policy profiles, and data usage
    notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /traffic/policy/profiles/services:
    get:
      tags:
        - Traffic Policy Profiles
      summary: Get all available traffic policy profile services
      description: >-
        Get all available PCEF services that can be used in traffic policy
        profiles.
      operationId: GetTrafficPolicyProfileServices
      parameters:
        - $ref: '#/components/parameters/wireless_PageNumber'
        - $ref: '#/components/parameters/wireless_PageSize'
        - name: filter[group]
          description: Filter services by group.
          in: query
          required: false
          schema:
            type: string
          example: Social Media
        - name: filter[name]
          description: Filter services by name.
          in: query
          required: false
          schema:
            type: string
          example: Netflix
      responses:
        '200':
          $ref: '#/components/responses/GetTrafficPolicyProfileServicesResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const trafficPolicyProfileListServicesResponse of
            client.trafficPolicyProfiles.listServices()) {
              console.log(trafficPolicyProfileListServicesResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.traffic_policy_profiles.list_services()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.TrafficPolicyProfiles.ListServices(context.TODO(), telnyx.TrafficPolicyProfileListServicesParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesPage;

            import
            com.telnyx.sdk.models.trafficpolicyprofiles.TrafficPolicyProfileListServicesParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    TrafficPolicyProfileListServicesPage page = client.trafficPolicyProfiles().listServices();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.traffic_policy_profiles.list_services

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->trafficPolicyProfiles->listServices(
                filterGroup: 'filter[group]',
                filterName: 'filter[name]',
                pageNumber: 1,
                pageSize: 1,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx traffic-policy-profiles list-services \
              --api-key 'My API Key'
components:
  parameters:
    wireless_PageNumber:
      name: page[number]
      in: query
      description: The page number to load.
      schema:
        type: integer
        minimum: 1
        default: 1
    wireless_PageSize:
      name: page[size]
      in: query
      description: The size of the page.
      schema:
        type: integer
        minimum: 1
        maximum: 250
        default: 20
  responses:
    GetTrafficPolicyProfileServicesResponse:
      description: Successful Response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/WirelessPcrfService'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    WirelessPcrfService:
      type: object
      properties:
        id:
          type: string
          description: The service identifier.
          example: service_123
        name:
          type: string
          description: The name of the service.
          example: Netflix
        group:
          type: string
          description: The group the service belongs to.
          example: Streaming
        resource_type:
          type: string
          readOnly: true
          example: wireless_pcrf_service
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````